org.eclipse.emf.spi.cdo

## Class CDOSessionInvalidationAggregator

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionInvalidationEventQueue
  - - org.eclipse.emf.spi.cdo.CDOSessionInvalidationAggregator

- Deprecated.
  As of 4.2 use `CDOSessionInvalidationEventQueue`.

      @Deprecated
      public class CDOSessionInvalidationAggregator
      extends CDOSessionInvalidationEventQueue

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Eike Stepper
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOSessionInvalidationAggregator(CDOSession session)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.spi.cdo.CDOSessionInvalidationEventQueue

      `dispose, getChangeSetData, getSession, handleEvent, poll, remove, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOSessionInvalidationAggregator

          public CDOSessionInvalidationAggregator(CDOSession session)

      Deprecated.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html